Skip to main content
GET
List quarantines

Authorizations

Authorization
string
header
required

User PAT (td_pat_) scoped to the target project

Path Parameters

projectId
string
required

The project identifier (e.g. project_abc123). Must match the project associated with your PAT.

Query Parameters

state
enum<string>

Default active. ending_soon ends within 3 days.

Available options:
active,
ending_soon,
released

Match the test title or file.

Maximum string length: 200
assignee
string

me, a user id, or a teammate's email. An email no account has lists nothing.

Maximum string length: 254
covers
enum<string>

error lists only known-error quarantines.

Available options:
any,
error
reason
enum<string>

Why a quarantine ended. Only with state=released.

Available options:
manual,
healthy,
expired,
not_seen,
issue_closed
page
integer
Required range: x >= 1
limit
integer

Default 25.

Required range: 1 <= x <= 500

Response

Quarantines

success
enum<boolean>
Available options:
true
data
object[]
pagination
object
budget
object

The project's quarantine limit.

Last modified on November 4, 2026